---
title: List org authorized clients
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Authorized Clients
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List org authorized clients{% #list-org-authorized-clients %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                    |
| ----------------- | --------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/org_authorized_clients |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/org_authorized_clients |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/org_authorized_clients      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/org_authorized_clients      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/org_authorized_clients  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/org_authorized_clients |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/org_authorized_clients     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/org_authorized_clients |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/org_authorized_clients |

### Overview

Get a list of all OAuth2 clients authorized for the current organization. This endpoint requires any of the following permissions:
`org_authorized_apps_read``manage_integrations` 


OAuth apps require the `org_authorized_apps_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-authorized-clients) to access this endpoint.



### Arguments

#### Query Strings

| Name                        | Type    | Description                                                                                                                          |
| --------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| page[size]                  | integer | Size for a given page. The maximum allowed value is 100.                                                                             |
| page[number]                | integer | Specific page number to return.                                                                                                      |
| sort                        | string  | Field to sort results by. Options include `oauth2_client.name`.                                                                      |
| filter                      | string  | Filter results by client name, app title, or app description.                                                                        |
| filter[oauth2_client][name] | string  | Filter results by the OAuth2 client name.                                                                                            |
| filter[disabled]            | string  | Filter results by the org-level disabled status.                                                                                     |
| include                     | string  | Comma-separated list of related resources to include. Options: `oauth2_client`, `oauth2_client.app`, `user_authorized_clients.user`. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of org authorized clients.

| Parent field            | Field                                     | Type      | Description                                                                                 |
| ----------------------- | ----------------------------------------- | --------- | ------------------------------------------------------------------------------------------- |
|                         | data [*required*]                    | [object]  | List of org authorized client data objects.                                                 |
| data                    | attributes [*required*]              | object    | Attributes of an org authorized client.                                                     |
| attributes              | disabled [*required*]                | boolean   | Whether the organization has disabled this client.                                          |
| attributes              | last_exercised [*required*]          | date-time | The date and time this client was last exercised.                                           |
| attributes              | user_count [*required*]              | int64     | The number of users in the organization who have authorized this client.                    |
| data                    | id [*required*]                      | string    | The unique identifier of the org authorized client.                                         |
| data                    | relationships [*required*]           | object    | Relationships for an org authorized client.                                                 |
| relationships           | oauth2_client [*required*]           | object    | Relationship to the OAuth2 client for this org authorized client.                           |
| oauth2_client           | data [*required*]                    | object    | Data identifying the OAuth2 client associated with this org authorized client.              |
| data                    | id [*required*]                      | string    | The ID of the OAuth2 client.                                                                |
| data                    | type [*required*]                    | enum      | OAuth2 client resource type. Allowed enum values: `oauth2_clients`                          |
| relationships           | user_authorized_clients [*required*] | object    | Relationship to the user authorized clients for this org authorized client.                 |
| user_authorized_clients | data [*required*]                    | [object]  | List of user authorized client relationship data objects.                                   |
| data                    | id [*required*]                      | string    | The ID of the user authorized client.                                                       |
| data                    | type [*required*]                    | enum      | User authorized client resource type. Allowed enum values: `user_authorized_clients`        |
| user_authorized_clients | links [*required*]                   | object    | Links for the user authorized clients relationship.                                         |
| links                   | related [*required*]                 | string    | Link to the user authorized clients for this org authorized client.                         |
| data                    | type [*required*]                    | enum      | The resource type for org authorized clients. Allowed enum values: `org_authorized_clients` |
|                         | meta [*required*]                    | object    | Object describing meta attributes of response.                                              |
| meta                    | page                                      | object    | Pagination object.                                                                          |
| page                    | total_count                               | int64     | Total count.                                                                                |
| page                    | total_filtered_count                      | int64     | Total count of elements matched by the filter.                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "disabled": false,
        "last_exercised": "2024-01-15T10:30:00+00:00",
        "user_count": 2
      },
      "id": "00000000-0000-0000-0000-000000000001",
      "relationships": {
        "oauth2_client": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000010",
            "type": "oauth2_clients"
          }
        },
        "user_authorized_clients": {
          "data": [
            {
              "id": "00000000-0000-0000-0000-000000000020",
              "type": "user_authorized_clients"
            }
          ],
          "links": {
            "related": "/api/v2/org_authorized_clients/00000000-0000-0000-0000-000000000001/user_authorized_clients"
          }
        }
      },
      "type": "org_authorized_clients"
    }
  ],
  "meta": {
    "page": {
      "total_count": "integer",
      "total_filtered_count": "integer"
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/org_authorized_clients" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
